Bug 1572873 - installer does not configure vsphere cloudprovider in master service.
Summary: installer does not configure vsphere cloudprovider in master service.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.0
Assignee: davis phillips
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On: 1586366 1588281
Blocks: 1548163
TreeView+ depends on / blocked
 
Reported: 2018-04-28 10:18 UTC by Johnny Liu
Modified: 2018-06-27 20:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-27 20:29:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
installation log with inventory file embedded (1.46 MB, text/plain)
2018-04-28 10:18 UTC, Johnny Liu
no flags Details

Description Johnny Liu 2018-04-28 10:18:28 UTC
Created attachment 1428021 [details]
installation log with inventory file embedded

Description of problem:
Enable vsphere cloudprovider, after installation, config is not shown in kubernetesMasterConfig.apiServerArguments of master-config.yaml

Version-Release number of the following components:
openshift-ansible-3.10.0-0.30.0.git.0.4f02952.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. enable vsphere cloudprovider in inventory file
2. trigger installation
3.

Actual results:
vsphere cloudprovider setting is enabled in node service, but did not enabled in master service. That would cause all dynamic pv failure.


# cat /etc/origin/master/master-config.yaml
<--snip-->
kubernetesMasterConfig:
  apiServerArguments:
    storage-backend:
    - etcd3
    storage-media-type:
    - application/vnd.kubernetes.protobuf
  controllerArguments:
    cluster-signing-cert-file:
    - /etc/origin/master/ca.crt
    cluster-signing-key-file:
    - /etc/

# cat /etc/origin/node/node-config.yaml
<--snip-->
kubeletArguments:
  pod-manifest-path:
  - /etc/origin/node/pods
  bootstrap-kubeconfig:
  - /etc/origin/node/bootstrap.kubeconfig
  feature-gates:
  - RotateKubeletClientCertificate=true,RotateKubeletServerCertificate=true
  rotate-certificates:
  - "true"
  cert-dir:
  - /etc/origin/node/certificates
  cloud-config:
  - /etc/origin/cloudprovider/vsphere.conf
  cloud-provider:
  - vsphere
  node-labels: 
  - "node-role.kubernetes.io/master=true"
  enable-controller-attach-detach:
  - 'true'
<--snip-->

Expected results:
# cat /etc/origin/master/master-config.yaml
<--snip-->
kubernetesMasterConfig:
  apiServerArguments:
    cloud-config:
    - /etc/origin/cloudprovider/vsphere.conf
    cloud-provider:
    - vsphere
    storage-backend:
    - etcd3
    storage-media-type:
    - application/vnd.kubernetes.protobuf
  controllerArguments:
    cloud-config:
    - /etc/origin/cloudprovider/vsphere.conf
    cloud-provider:
    - vsphere
    cluster-signing-cert-file:
    - /etc/origin/master/ca.crt
    cluster-signing-key-file:
    - /etc/origin/master/ca.key
<--snip-->

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 2 davis phillips 2018-05-22 19:26:15 UTC
Thanks @Johnny Liu 

I'll take a look at this.

Comment 3 davis phillips 2018-05-25 16:45:25 UTC
https://github.com/openshift/openshift-ansible/issues/8528


This should address the issue

Comment 4 davis phillips 2018-05-25 16:46:13 UTC
https://github.com/openshift/openshift-ansible/pull/8530

Oops!

Comment 6 Scott Dodson 2018-05-31 19:07:53 UTC
The referenced PR hasn't merged yet, once it does we'll move this to  MODIFIED then once it's built it will automatically go ON_QA.

Comment 8 Gan Huang 2018-06-12 10:50:29 UTC
Fixed in openshift-ansible-3.10.0-0.66.0.git.79.68197f9.el7.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.